Name: ca_TERENA-eScience-SSL-CA-3
Version: 1.103
Release: 1
Source: ca_TERENA-eScience-SSL-CA-3-1.103.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_TERENA-eScience-SSL-CA-3-1.103/1db3b27f.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority TERENA-eScience-SSL-CA-3

%if %([ -n "https://www.terena.org/activities/tcs/" ] && echo 1 || echo 0)
URL: https://www.terena.org/activities/tcs/
%endif

%if %([ -n "ca_DigiCertAssuredIDRootCA-Root = 1.103" ] && echo 1 || echo 0)
Requires: ca_DigiCertAssuredIDRootCA-Root = 1.103
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_TERENA-eScience-SSL-CA-3-1.103

%description
This is the trust anchor for the classic accredited authority TERENA-eScience-SSL-CA-3.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

